use strict;
use ExtUtils::MakeMaker;

my $spec;
{
    local $/ = undef;
    open my $specfh, 'urpmdiff.spec' or die "Can't open urpmdiff.spec: $!\n";
    $spec = <$specfh>;
    close $specfh;
}
(my $urpmdiff_version) = $spec =~ /Version:\s+(\d+\.\d+)/
    or die "no version found\n";

sub MY::postamble {
    <<MAKERPM;
.PHONY: ChangeLog rpm

ChangeLog:
	cvs2cl -W 400 -I ChangeLog --accum -U ../common/username
	rm -f *.bak

rpm: dist
	rpm --define "_sourcedir `pwd`" -ba --clean --rmsource urpmdiff.spec
MAKERPM
}

WriteMakefile(
    NAME		=> "urpmdiff",
    VERSION		=> $urpmdiff_version,
    EXE_FILES		=> [ "bin/urpmdiff" ],
    PREREQ_PM		=> {
	'Algorithm::Diff'	=> 1.15,
	'URPM'			=> 1.11,
    },
    dist		=> { COMPRESS => 'bzip2', SUFFIX => '.bz2' },
);
